package de.hhu.ba.yoshikoWrapper.core;

import org.cytoscape.application.events.SetCurrentNetworkEvent;
import org.cytoscape.application.events.SetCurrentNetworkListener;
import org.cytoscape.model.events.AddedEdgesEvent;
import org.cytoscape.model.events.AddedEdgesListener;
import org.cytoscape.model.events.ColumnCreatedEvent;
import org.cytoscape.model.events.ColumnCreatedListener;
import org.cytoscape.model.events.ColumnDeletedEvent;
import org.cytoscape.model.events.ColumnDeletedListener;
import org.cytoscape.model.events.NetworkAddedEvent;
import org.cytoscape.model.events.NetworkAddedListener;
import org.cytoscape.model.events.RemovedEdgesEvent;
import org.cytoscape.model.events.RemovedEdgesListener;
import org.cytoscape.session.events.SessionLoadedEvent;
import org.cytoscape.session.events.SessionLoadedListener;

import de.hhu.ba.yoshikoWrapper.gui.ColumnMapper;

public class NetChangeListener 
implements //everything
NetworkAddedListener,
AddedEdgesListener,
RemovedEdgesListener,
ColumnCreatedListener,
ColumnDeletedListener,
SessionLoadedListener,
SetCurrentNetworkListener
{
	private ColumnMapper columnMapper;
	
	public NetChangeListener(ColumnMapper columnMapper) {
		this.columnMapper = columnMapper;
	}

	@Override
	public void handleEvent(ColumnDeletedEvent e) {
		columnMapper.updateValues();
	}

	@Override
	public void handleEvent(ColumnCreatedEvent e) {
		columnMapper.updateValues();
	}

	@Override
	public void handleEvent(RemovedEdgesEvent e) {
		columnMapper.updateValues();
	}

	@Override
	public void handleEvent(AddedEdgesEvent e) {
		columnMapper.updateValues();
	}

	@Override
	public void handleEvent(NetworkAddedEvent e) {
		columnMapper.updateValues();
	}

	@Override
	public void handleEvent(SessionLoadedEvent e) {
		columnMapper.updateValues();
	}

	@Override
	public void handleEvent(SetCurrentNetworkEvent e) {
		columnMapper.updateValues();
	}

}
