package de.hhu.ba.yoshikoWrapper.gui;

import javax.swing.JFormattedTextField;

/**
 * Provides a more strict input field that only accepts integers
 */
@SuppressWarnings("serial")
public class IntegerInputField extends JFormattedTextField{

	public IntegerInputField(int minValue, int maxValue) {
		super(FormatHelper.getIntegerFormatter(minValue,maxValue));
		this.setColumns(8);
	}

	public IntegerInputField() {
		super(FormatHelper.getIntegerFormatter());
		this.setColumns(8);	
	}

	public int getValueAsInt() {
		return Integer.parseInt(getText());
	}
}
