package de.hhu.ba.yoshikoWrapper.gui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Locale;

import javax.swing.JComboBox;
import javax.swing.JOptionPane;

import de.hhu.ba.yoshikoWrapper.core.LocalizationManager;

@SuppressWarnings( "serial")
public class LanguageSwitcher extends JComboBox<Locale>{

	public LanguageSwitcher() {
		for (Locale l: LocalizationManager.getLocales() ) {
			this.addItem(l);
			if (LocalizationManager.getCurrentLocale() == l) {
				this.setSelectedItem(l);
			}
		}
		this.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
				LocalizationManager.switchLanguage(getItemAt(getSelectedIndex()));
				JOptionPane.showMessageDialog(null,LocalizationManager.get("restartNeeded"));
			}
			
		});
	}
	

}
