package de.hhu.ba.yoshikoWrapper.gui;

import javax.swing.JLabel;
import javax.swing.JSpinner;
import javax.swing.SpinnerNumberModel;

import de.hhu.ba.yoshikoWrapper.core.LocalizationManager;

@SuppressWarnings("serial")
public class SolutionNumberChooser extends ComfortPanel {
	private final JSpinner numSolutionsSetter;
	private final JLabel label;
	
	public SolutionNumberChooser() {
		//Swing Component init
		numSolutionsSetter = new JSpinner();
		numSolutionsSetter.setModel(new SpinnerNumberModel(1,1,Integer.MAX_VALUE,1));
		label = new JLabel(LocalizationManager.get("nrSolutions"));
		this.addAll(label, numSolutionsSetter);	 
	}
	
	@Override
	public void setEnabled(boolean enabled) {
		numSolutionsSetter.setEnabled(enabled);
	}

	public int getSolCount() {
		return (int)numSolutionsSetter.getValue();
	}
}
