package de.hhu.ba.yoshikoWrapper.gui;

import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JScrollPane;

import de.hhu.ba.yoshikoWrapper.core.LocalizationManager;
import de.hhu.ba.yoshikoWrapper.graphModel.YoshikoCluster;
import de.hhu.ba.yoshikoWrapper.graphModel.YoshikoSolution;

@SuppressWarnings("serial")
public class SolutionTab extends ComfortPanel {
	
	private final JScrollPane scrollPane;
	private final ComfortPanel scrollPaneContent;
	private final JLabel clusterCount;
	private final JButton createMetaGraph;
	
	private final YoshikoSolution solution;
	
	public SolutionTab(YoshikoSolution s) {
		
		this.solution = s;
		
		this.setLayout(new BoxLayout(this,BoxLayout.Y_AXIS));
		//init swing components
		scrollPaneContent = new ComfortPanel();
		scrollPaneContent.setLayout(new BoxLayout(scrollPaneContent,BoxLayout.Y_AXIS));
		for (YoshikoCluster c: solution.cluster) {
			ClusterView clusterView = new ClusterView(c);
			scrollPaneContent.add(clusterView);
			scrollPaneContent.add(Box.createVerticalStrut(8));
		}
		scrollPane = new JScrollPane(scrollPaneContent);

		scrollPane.setPreferredSize(new Dimension(150,400));
		
		clusterCount = new JLabel(LocalizationManager.get("clusterFound")+" "+s.cluster.size());
		
		createMetaGraph = new JButton(LocalizationManager.get("createMetaGraph"));
		createMetaGraph.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
				solution.exportMetaGraph();
			}
			
		});
		this.addAll(clusterCount,scrollPane,createMetaGraph);
	}
	
}
