package de.hhu.ba.yoshikoWrapper.gui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JCheckBox;

import de.hhu.ba.yoshikoWrapper.core.LocalizationManager;

@SuppressWarnings("serial")
public class TimeLimitSetter extends ComfortPanel{

	private JCheckBox checkBox;
	private IntegerInputField numberField;
	
	public TimeLimitSetter() {
		checkBox = new JCheckBox(LocalizationManager.get("timeLimitILP"));
		numberField = new IntegerInputField();
		numberField.setText("60");
		numberField.setEnabled(false); //By default time limit is turned off
		checkBox.addActionListener(
				new ActionListener() {

					@Override
					public void actionPerformed(ActionEvent e) {
						numberField.setEnabled(checkBox.isSelected());
					}
					
				}
				);
		//REGISTER COMPONENTS
		this.addAll(checkBox,numberField);
	}
	
	@Override
	public void setEnabled(boolean enabled) {
		if (enabled) {
			this.checkBox.setEnabled(enabled);
			this.numberField.setEnabled(this.checkBox.isSelected());
		}
		else {
			this.checkBox.setEnabled(enabled);
			this.numberField.setEnabled(enabled);
		}
	}
	
	public int getTimeLimit() {
		if (!checkBox.isSelected()) {
			return -1;
		}
		return numberField.getValueAsInt();
	}

}
